Subject: [bug#50862] [PATCHESv4] KDE updates

From: Marius Bakke <[email-masked]>
Date: Thu, 01 Sep 2022 16:23:17 +0200

phodina <[email-masked]> skriver:

> Hi Marius,
>
> that's good news.
>
> Have you been able to run full Plasma session?

I'm only adding the 'stable' patches that you posted in this thread.

A first batch has been pushed to 'master'; the remainder will go to
'staging' after a little more review, because they cause a lot of
rebuilds.  :-)

You can find them in 060e65ebda26be9c28c3..4f7f4e82e1f63f49216ee.

Note: I ended up rewriting the 'appstream' patch to use the latest
version, enable tests, etc; and took "ownership" on it (but added you
and Brendan as co-authors).

> I expect there are some missing descriptions of the packages in the newest commits.

Right, the latest package additions need a little more work.  I'll focus
mainly on the KDE updates.

> Also I enabled more optional packages than might be necessary in some cases. This applies more to plasma-workspace and plasma-desktop. Maybe we can create minimal and full version of these packages. What do you think?

I don't really have an opinion.  It's good if you can rebase the
kde-updates branch on top of staging once I've pushed the remaining
patches and submit a new issue for the KDE desktop.

> Maybe we can split the gnu/system/examples/desktop.tmpl file into multiple based on the environment. Instead of adding additional one?

I think a separate kde-desktop example would be good, but no strong
opinion.  Perhaps it's enough to document it in the manual, plus have a
working option in the installer.

> But that's just my view as developer who had to rebuild the packages multiple times and also due to update of wayland-protocols it triggered rebuilds of the other DEs. Onced merged and built it will be fast if the user enables substitutes. Only downside is the disk space.

I'm keeping the wayland-protocols update separate for now, we'll update
it properly on 'core-updates' (to be started "soon").

> One last thing. I tried to remove the failing tests and rerun them. However, due to multiple updates over time it might be good to do it again or with the next update of the packages (release of KDE) :-)

Sounds good!

I'll update this thread once the remaining patches have been reviewed
and pushed.

Thanks again!  :-)